metrics
Create metrics preview
Requires scopes: eval:read
POST
/
api
/
metrics
/
preview
Create metrics preview
curl --request POST \
--url https://evalgate.com/api/metrics/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"definition": {
"source": "traces",
"metricKey": "<string>",
"measure": "<string>",
"aggregation": "max",
"window": {
"type": "relative",
"lookbackSeconds": 123,
"timezone": "<string>"
},
"unknownPolicy": "fail",
"calibrationBoundary": {
"state": "not_applicable"
},
"filters": [
{
"operator": "exists",
"field": "<string>",
"value": true
}
],
"groupBy": [
"<string>"
],
"timeGrain": "minute"
},
"filters": [
{
"operator": "exists",
"field": "<string>",
"value": true
}
],
"window": {
"type": "relative",
"lookbackSeconds": 123,
"timezone": "<string>"
}
}
'import requests
url = "https://evalgate.com/api/metrics/preview"
payload = {
"definition": {
"source": "traces",
"metricKey": "<string>",
"measure": "<string>",
"aggregation": "max",
"window": {
"type": "relative",
"lookbackSeconds": 123,
"timezone": "<string>"
},
"unknownPolicy": "fail",
"calibrationBoundary": { "state": "not_applicable" },
"filters": [
{
"operator": "exists",
"field": "<string>",
"value": True
}
],
"groupBy": ["<string>"],
"timeGrain": "minute"
},
"filters": [
{
"operator": "exists",
"field": "<string>",
"value": True
}
],
"window": {
"type": "relative",
"lookbackSeconds": 123,
"timezone": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
definition: {
source: 'traces',
metricKey: '<string>',
measure: '<string>',
aggregation: 'max',
window: {type: 'relative', lookbackSeconds: 123, timezone: '<string>'},
unknownPolicy: 'fail',
calibrationBoundary: {state: 'not_applicable'},
filters: [{operator: 'exists', field: '<string>', value: true}],
groupBy: ['<string>'],
timeGrain: 'minute'
},
filters: [{operator: 'exists', field: '<string>', value: true}],
window: {type: 'relative', lookbackSeconds: 123, timezone: '<string>'}
})
};
fetch('https://evalgate.com/api/metrics/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"window": {
"from": "<string>",
"to": "<string>",
"timezone": "<string>"
},
"result": {
"status": "failed",
"value": 123,
"knownCount": 123,
"unknownCount": 123,
"evidenceIds": [
"<string>"
],
"warnings": [
"<string>"
],
"errorCode": "<string>"
},
"series": [
{
"key": "<string>",
"bucket": "<string>",
"group": {},
"result": {
"status": "failed",
"value": 123,
"knownCount": 123,
"unknownCount": 123,
"evidenceIds": [
"<string>"
],
"warnings": [
"<string>"
],
"errorCode": "<string>"
}
}
],
"sample": [
{
"timestamp": "<string>",
"value": 123,
"numerator": 123,
"denominator": 123,
"group": {},
"evidenceIds": [
"<string>"
]
}
],
"sampleTruncated": true
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Create metrics preview
